function match_procedure(established_procedure, current_procedure){
	// Keep things going no matter what
	if(established_procedure === undefined){
		console.warn("established_procedure === undefined")
		return 1.0
	}
	if(current_procedure === undefined){
		console.warn("current_procedure === undefined")
		return 0.0
	}

	// Check how many of the same parts are found in the procedure
	var num_same_parts = 0
	for(var i=0; i<established_procedure.length; i++){
		var part_found = false
		for(var j=0; j<current_procedure.length; j++){
			if(current_procedure[j].partname == established_procedure[i].partname){
				part_found = true
				break
			}
		}
		if(part_found)
			num_same_parts++
	}
	var ratio_same_parts = num_same_parts / established_procedure.length

	var num_correct_actions = 0
	var num_correct_partnames = 0
	// How much a single detail matters depends on how long the list is
	var f = 1.0 - 0.6 / current_procedure.length
	for(var i=0; i<established_procedure.length && i<current_procedure.length; i++){
		if(current_procedure[i].action == established_procedure[i].action)
			num_correct_actions++
		if(current_procedure[i].partname == established_procedure[i].partname)
			num_correct_partnames++
	}
	var ratio_correct_actions = num_correct_actions / established_procedure.length
	var ratio_correct_partnames = num_correct_partnames / established_procedure.length

	var length_difference = Math.abs(established_procedure.length - current_procedure.length)
	var ratio_length_difference = length_difference / (established_procedure.length + current_procedure.length)/2

	// Calculate and return the final value
	var match = Math.pow(
			(ratio_same_parts * 2 + ratio_correct_actions + ratio_correct_partnames + (1.0-ratio_length_difference) * 2) / 6,
			2)
	console.log(established_procedure, ",", current_procedure, "->", match)
	return match
}
