var RecallProcedureSection = function(game_state, procedure, finish_cb){
	this.grabs_input = true
	this.game_state = game_state
	this.procedure = procedure
	this.finish_cb = finish_cb
}
RecallProcedureSection.prototype = {
	on_init: function(){
		this.base = game.add.group()

		this.background_mouse_catch = game.add.sprite(0,  0, "empty")
		this.base.add(this.background_mouse_catch)
		this.background_mouse_catch.inputEnabled = true
		this.background_mouse_catch.input.useHandCursor = true
		this.background_mouse_catch.events.onInputUp.add(function(){
			this.on_press_next()
		}, this)

		this.background = game.add.sprite(0,  0, "procedure_background")
		this.base.add(this.background)

		this.ui_layer = game.add.group()
		this.base.add(this.ui_layer)
		game.world.bringToTop(this.ui_layer)

		var style = {
			fontSize: COST_FONT_SIZE,
			fill: "#cb740e",
			stroke: "#1e1e1e",
			strokeThickness: 1,
			wordWrap: true,
			wordWrapWidth: 750,
		}
		var lib = part_library[this.game_state.customer.broken_partname]
		var text = "Fix \""+lib.what+"\""
		this.ui_header = game.add.text(200, 125, text, style)
		this.ui_layer.add(this.ui_header)

		var style = {
			fontSize: FONT_SIZE,
			fill: "#cb740e",
			stroke: "#1e1e1e",
			strokeThickness: 1,
			wordWrap: true,
			wordWrapWidth: 770,
			//backgroundColor: '#222222',
		}

		var text = "Recalled procedure:\n"
		this.procedure.forEach(function(step, i){
			var action_fancy = ({
				"remove": "Remove",
				"install": "Install",
			})[step.action]
			var lib = part_library[step.partname]
			text += ""+(i+1)+": "+action_fancy+" "+lib.what+"\n"
		})
		if(this.procedure.length == 0){
			text += "(Do absolutely nothing)"
		}

		this.ui_text = game.add.text(500, 220, text, style)
		this.ui_text.anchor.x = Math.round(this.ui_text.width * 0.5) / this.ui_text.width;
		this.ui_layer.add(this.ui_text)

		this.button = game.add.button(1000-34, 600-32, "continue_button", function(){
			this.on_press_next()
		}, this, 2, 1, 0)
		this.ui_layer.add(this.button)
		this.button.events.onInputOver.add(function(){
			this.button.tint = 0x88ff88
		}, this)
		this.button.events.onInputOut.add(function(){
			this.button.tint = 0xffffff
		}, this)
	},
	on_remove: function(){
		this.base.destroy()
	},
	on_press_next: function(){
		this.finish_cb()
	},
}
